<div *ngIf='created' class="alert alert-success" role="alert">
  Payment was created!
</div>

<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Create payment</h5>
    </div>
    <div class="modal-body">
      <div class="container">
        <form (ngSubmit)="createPayment()">
          <div class="row">

            <div class="col">
              <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="budgetSelect">Budget</label>
                </div>
                <select [(ngModel)]="selectedBudget" (ngModelChange)="loadBudgetItems()" name="budgetSelect" class="custom-select" id="budgetSelect">
                  <option disabled>Choose budget</option>
                  <option *ngFor="let budget of budgets" [value]="budget.id" >{{budget.name}}</option>
                </select>
              </div>
            </div>

          </div>
          <div class="row">

            <div class="col">
              <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="typeSelect">Budget item</label>
                </div>
                <select [(ngModel)]="selectedBudgetItem" name="selectedBudgetItem" class="custom-select disabled" id="typeSelect">
                  <option value="" disabled>Choose budget item</option>
                  <option *ngFor="let budgetItem of budgetItems" [value]="budgetItem.id" >{{budgetItem.name}}</option>
                </select>
              </div>
            </div>

          </div>
          <div class="row">
            <div class="col">
              <!-- Button trigger modal -->
              <button type="button" class="btn btn-default" data-toggle="modal" data-target="#createBudgetItem">
                Create Budget item
              </button>

              <!-- Modal -->
              <div class="modal fade" id="createBudgetItem" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLongTitle">New Budget item</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form (ngSubmit)="createBudgetItem()">

                        <div class="row">
                          <div class="col">
                            <div class="input-group input-group-sm mb-3">
                              <div class="input-group-prepend">
                                <label class="input-group-text" for="groupSelect">Select Budget</label>
                              </div>
                              <select [(ngModel)]="selectedBudget" (ngModelChange)="loadBudgetItems($event)" name="budgetSelect" class="custom-select" id="budgetSelect">
                                <option value="" disabled>Choose budget</option>
                                <option *ngFor="let budget of budgets" [value]="budget.id" >{{budget.name}}</option>
                              </select>
                            </div>
                          </div>
                        </div>

                        <div class="row">
                          <div class="col">
                            <label for="itemName">Enter name</label>
                            <div class="input-group">
                              <input [(ngModel)]="budgetItemName" name="budgetItemName" type="text" id="itemName" class="form-control">
                            </div>
                          </div>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                          <button type="submit" class="btn btn-primary">Create</button>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col">

              <label for="datepicker">Select date</label>
              <div class="input-group input-group-sm mb-3">
                <input [(ngModel)]="selectedDate" name="selectedDate" [matDatepicker]="picker" id="datepicker" type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm">
                <div class="input-group-append">
                    <mat-datepicker-toggle matSuffix [for]="picker">
                    </mat-datepicker-toggle>
                </div>
                <mat-datepicker #picker></mat-datepicker>
              </div>


            </div>
          </div>

          <div class="row">

            <div class="col">
              <label for="ammount">Enter ammount</label>
              <div class="input-group">
                <input [(ngModel)]="selectedAmount" name="selectedAmount" type="text" id="ammount" class="form-control" aria-label="Amount (to the nearest dollar)">
                <div class="input-group-append">
                  <span class="input-group-text">$</span>
                  <span class="input-group-text">0.00</span>
                </div>
              </div>
            </div>

          </div>
          <div class="row">

            <div class="col">
              <div class="form-group">
                <label for="exampleFormControlTextarea1">Purpose</label>
                <textarea [(ngModel)]="purposeText" name="purposeText" class="form-control" id="purposeTextarea" rows="3"></textarea>
              </div>
            </div>

          </div>
          <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Create</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
